/*
 
 //This file is licensed under the terms of the CC-LGPL
 
 CL_rlp_array_test2.pov
 
 Making a piecewise defined function.
 
*/
  ////
 //   example   //
//_____________//   
#global_settings{charset utf8 assumed_gamma 1.0}
//
#include "colors.inc"
#include "chars.inc"
#include "rlp.inc"
#include "CL_rlp_capital_letters_160714.inc"  
// Define the string to be typeset
CL_rlp_make_text_string_set(3) // Defines CL_default_space,CL_math_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type as globals
//
// Make the objects for the array.
// 
#declare inner_parts            = array[2][2]; // Do as 2x2 rather than 2x1 to align the numbers to the right and the text to the left. 
#declare inner_dimensions       = array[2][2];
//
#declare inner_parts[0][0]      =  object{CL_rlp_make_text_string("#-1",CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                CL_dimensions_out)} 
#declare inner_dimensions[0][0] =  CL_dimensions_out; 
//
#declare inner_parts[0][1]      =  object{CL_rlp_make_text_string("#,  0 < t |< |p",CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                CL_dimensions_out)} 
#declare inner_dimensions[0][1] =  CL_dimensions_out; 
//
#declare inner_parts[1][0]      =  object{CL_rlp_make_text_string("#1",CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                CL_dimensions_out)} 
#declare inner_dimensions[1][0] =  CL_dimensions_out; 
//
#declare inner_parts[1][1]      =  object{CL_rlp_make_text_string("#,  |p < t |< 2|p",CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                CL_dimensions_out)} 
#declare inner_dimensions[1][1] =  CL_dimensions_out; 
//
#declare array_obj              =  object{CL_rlp_make_array(CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                            inner_parts,"rl",CL_medium_space,CL_large_space,CL_huge_space,
                                                            inner_dimensions,CL_dimensions_out) }
#declare array_dimensions       = CL_dimensions_out;
//
// Put hte brackets around the array object.
//
#declare delimited_object       = object{CL_rlp_make_elastic_bracket_pair(CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,
                                                          CL_cham,CL_font_type,array_obj,CL_tiny_space,3,0,array_dimensions,CL_dimensions_out)} 
#declare delimited_dimensions   = CL_dimensions_out;
//
// Construct the lhs
//
#declare lhs_object             = object{CL_rlp_make_text_string("#f(t) = ",CL_tiny_space,CL_letter_adjust,CL_z1,CL_z2,CL_d_rad,CL_offs,CL_cham,CL_font_type,
                                                                CL_dimensions_out)} 
//
// Concatenate the lhs and rhs.
//
#declare part_dimensions      = array[2];
#declare part_dimensions[0]   = CL_dimensions_out;
#declare part_dimensions[1]   = delimited_dimensions;
#declare concat_object        = object{CL_rlp_make_concatenate(lhs_object,delimited_object,CL_medium_space,part_dimensions,CL_dimensions_out)} 
//
object{concat_object translate <-CL_dimensions_out[0]/2,0,0> pigment{rgb 1} finish{ambient 0 specular 1}}      
//
//cylinder{<-20,0,0> <20,0,0> 0.05 pigment{Red}}
  ////
 //  end example  //
//_______________//
light_source{<0,20,-25>, 4 fade_power 2 fade_distance 10
  #if(0)
    area_light x*2,y*2,8,8
    jitter adaptive 2
    area_illumination
  #end
            }

camera{orthographic location<0,0,-110> look_at <0,0,0> angle 15}

